--
-- uninstall_orion.sql - uninstalls Orion from a database
-- 
-- WARNING: This script drops all objects dependent on uncertain data
--          types, including columns, indices, triggers, and so forth.
-- 
-- Orion Project, http://orion.cs.purdue.edu/
-- Copyright (c) 2008 Purdue University
--

DROP TABLE orion_depend;
DROP SEQUENCE orion_depend_seq;
DROP SEQUENCE history_id_seq;
DROP TABLE orion_catmap;

DROP TYPE uncertain CASCADE;
DROP TYPE ucon CASCADE;
DROP TYPE udis CASCADE;
DROP TYPE uord CASCADE;
DROP TYPE unom CASCADE;

DROP FUNCTION uncertain_avg_ffunc(float8[]);
