/*
 * pdfs_io.h - common parsing functions for probability distributions
 * 
 * Orion Project, http://orion.cs.purdue.edu/
 * Copyright (c) 2008 Purdue University
 */

#ifndef PDFS_IO_H_
#define PDFS_IO_H_

#define skipSpace(ptr) while (*ptr != '\0' && isspace(*ptr)) { ptr++; }
#define skipDelim(ptr, dlm) if (*ptr == dlm) { ptr++; skipSpace(ptr); }

char* findDelim(char dlm, char *str);
char *scanFloat4(float4 *dst, char *pos, const char *name, char *str);
char *scanInt32(int32 *dst, char *pos, const char *name, char *str);
char *scanString(char *dst, char *pos, const char *name, char *str);
void checkExtra(char *pos, char *str);

#endif /* PDFS_IO_H_ */
